Package Gnumed :: Package business :: Module gmExportArea :: Class cExportItem |
[frames] | no frames]

# Class cExportItem

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cExportItem

Represents an item in the export area table

Instance Methods
__init__(self, aPK_obj=None, row=None, link_obj=None) Init business object. | source code
update_data(self, data=None) | source code
update_data_from_file(self, filename=None) | source code
save_to_file(self, aChunkSize=0, filename=None, directory=None, passphrase=None) | source code
display_via_mime(self, chunksize=0, block=None) | source code
get_useful_filename(self, patient=None, directory=None) | source code
is_DIRENTRY(self) Check whether this item looks like a DIRENTRY. | source code
is_valid_DIRENTRY(self) Check whether this item is a _valid_ DIRENTRY. | source code
is_DICOM_directory(self) Check whether this item points to a DICOMDIR. | source code
has_files_in_root(self) True if there are files in the root directory. | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `fields_as_dict`, `format`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| document_part = `property(_get_doc_part, lambda x: x)`
| is_print_job = `property(_get_is_print_job, _set_is_print_job)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, row=None, link_obj=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row, link_obj = link_obj)
Overrides: object.__init__ (inherited documentation)